Jump to content


jQuery 1.8.0 and TinyMCE + jQuery UI Chosen

jquery 1.8.0 TinyMCE UI Chosen

  • Please log in to reply
4 replies to this topic

#1 saulimus

saulimus

    Advanced Member

  • Members
  • PipPipPip
  • 40 posts

Posted 31 August 2012 - 12:38 PM

Edit: Found a solution, see post #3

Hi,

I found that TinyMCE and jQuery 1.8.0 don't like to work together...
This causes select dropdowns to stop working in the add/edit form.

How to replicate:
Use GroceryCrud 1.3.
Use TinyMCE for a column and try select values using dropdowns.

#2 Akylenok

Akylenok

    Member

  • Members
  • PipPip
  • 15 posts

Posted 31 August 2012 - 07:02 PM

Подтверждаю наличие такой проблемы. Вопрос актуальный.

#3 saulimus

saulimus

    Advanced Member

  • Members
  • PipPipPip
  • 40 posts

Posted 03 September 2012 - 06:54 AM

Update!

I found that the TinyMCE jQuery plugin included GroceryCrud 1.3 seemed to be the problem.
To fix the problem, I downloaded the latest TinyMCE version from:
http://www.tinymce.c...lop/nightly.php
Then I copied the file "tinymce\jscripts iny_mce\jquery.tinymce.js" in the archive to the project directory "assets/grocery_crud/texteditor/tiny_mce" replacing the older one. Now the dropdowns work again. Hope this helps someone else as well.

Edit: Clarified instructions...

#4 Akylenok

Akylenok

    Member

  • Members
  • PipPip
  • 15 posts

Posted 03 September 2012 - 05:27 PM

Update!

I found that the TinyMCE jQuery plugin included GroceryCrud 1.3 seemed to be the problem.
I downloaded the latest version from:
http://www.tinymce.c...lop/nightly.php
and replaced the older one at "assets/grocery_crud/texteditor/tiny_mce" with it and now dropdowns work again.
Hope this helps someone else as well.


--- RU
Да это работает.

--- EN
Yes it works.

#5 web-johnny

web-johnny

    grocery CRUD Author

  • Administrators
  • 1,150 posts
  • LocationLondon

Posted 03 September 2012 - 07:36 PM

Hello guys and sorry for the delayed answer.

I will try this fix and I will probably have an express release 1.3.1 with this and some others small bug fixes. Also I will include the new version of jquery 1.8.1 as it has lot of bug fixes too.

Cheers
Johnny
Posted Image





Also tagged with one or more of these keywords: jquery, 1.8.0, TinyMCE, UI, Chosen

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users